HealthResource

Checks API health.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class HealthResource

Checks API health. Get it from Ovok.health().

Methods

check

public JsonNode check() throws IOException, InterruptedException

Checks API health without credentials (GET /healthcheck).

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response
public JsonNode check(RequestOptions options) throws IOException, InterruptedException

Checks API health without credentials (GET /healthcheck).

Parameters:

  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page